# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ritlers"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A task-length aware rate limiter"
readme = "README.md"
keywords = [
    "rate-limiter",
    "rate-limit",
    "async",
]
categories = [
    "web-programming::http-client",
    "concurrency",
    "asynchronous",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Florisheinen1/ritlers"

[package.metadata.docs.rs]
all-features = true

[features]
async = ["dep:tokio"]
blocking = []
default = ["blocking"]

[lib]
name = "ritlers"
path = "src/lib.rs"

[[example]]
name = "example_async"
path = "examples/example_async.rs"
required-features = ["async"]

[[example]]
name = "example_blocking"
path = "examples/example_blocking.rs"

[[example]]
name = "example_dogs"
path = "examples/example_dogs.rs"
required-features = ["async"]

[dependencies.tokio]
version = "1.48.0"
features = [
    "rt",
    "sync",
    "time",
]
optional = true

[dev-dependencies.reqwest]
version = "0.12.24"

[dev-dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dev-dependencies.serde_json]
version = "1.0.145"

[dev-dependencies.tokio]
version = "1.48.0"
features = [
    "rt",
    "sync",
    "time",
    "macros",
    "test-util",
    "rt-multi-thread",
]

[lints.rust]
unsafe_code = "forbid"
